Subject: Re: reproducible cxgb kernel panic in FC8 kernel 2.6.23.1-49

From: Divy Le Ray <[email-masked]>
Date: Thu, 15 Nov 2007 03:46:55 -0800

Ben Greear wrote:
> This panic happens (almost?) immediately after starting TCP traffic 
> between
> the cxgb nic on this system and another.  We also got at least one crash
> on a custom/tainted 2.6.20.12 kernel, but it would run for at least
> a few minutes at ~1Gbps first.
>
> I think my serial console chomped some of this..but it's very 
> reproducible,
> so if you need more info I can make the terminal wider and do it again.
>
Hi Ben,

I just posted a patch fixing this T2 crash. It appeared in 2.6.22, when 
eth_type_trans()
was modified to set skb->dev. cxgb3 got fixed at the time, but I 
obviously forgot the
chelsio driver. I'm a bit behind on T2 updates. I will get to it in a 
few days.

Cheers,
Divy